06/05/2013 04:59 AM - Stefan Stührmann

Status: Duplicate   
Pull request:    

Description

My environment:

- Foreman version 1.1 from the foreman debian repository.

- Ubuntu version 12.04 lts 64bit

- installed on an amazon ec2 medium instance

I was creating a new compute resource with the EC2 provider.

When I tried to load the regions no regions appeared in the combobox after clicking the load region button and no error message

appeared.

After looking into firebug I could see that the request returned the following error:

"unitialized constant Foreman::Model::EC2::FOG"

Afterwards I installed the foreman-fog and the foreman-compute packages and restarted foreman with the init script but didn't solve

the problem.

Finally after terminating all ruby and apache processes and starting them again I could load the regions.

It would be good to throw an error message that there are missing dependencies (fog, compute) and you have to restart apache to

get the region loading running.

Probably not every user will look into the requests.

Irc-user Dominic asked to open a feature/bug request so that it can work in a similar way then libvirt.

Related issues:

Is duplicate of Foreman - Bug #3138: rbvmomi required by a clean install of f... Closed 09/23/2013

History

#1 - 06/05/2013 05:06 AM - Dominic Cleal

- Category set to Compute resources

- Target version set to 1.3.0

As mentioned above, I think this should probably work in a similar way to libvirt, where we hide compute resource providers that aren't available due

to not being installed, or at least grey them out etc.

#2 - 07/03/2013 11:09 AM - Lukas Zapletal

- Subject changed from Error Message for missing dependencies when loading EC2 regions to Hide compute resource providers that aren't available

- Difficulty set to easy

#3 - 09/16/2013 11:52 AM - Lukas Zapletal

- Description updated

- Target version deleted (1.3.0)
#4 - 08/06/2014 04:28 AM - Dominic Cleal

- Is duplicate of Bug #3138: rbvmomi required by a clean install of foreman added

#5 - 08/06/2014 04:29 AM - Dominic Cleal

- Status changed from New to Duplicate

This has now been implemented via #3138 in Foreman 1.4.
